Impute does not work
2
0
Entering edit mode
Laura • 0
@3e6a248b
Last seen 5 weeks ago
Austria

Hello, I want to impute my data, but R is not allowing me to do so. R keeps showing the following message:

> BiocManager::install("impute")
Bioconductor version 3.18 (BiocManager 1.30.22), R 4.3.2 (2023-10-31 ucrt)
Installation paths not writeable, unable to update packages
  path: C:/Program Files/R/R-4.3.2/library
  packages:
    boot
Warning:
package(s) not installed when version(s) same as or greater than current; use `force = TRUE` to re-install: 'impute'

what should I do?

Greetings, Laura !

impute • 252 views
ADD COMMENT
1
Entering edit mode
Robert Castelo ★ 3.2k
@rcastelo
Last seen 2 days ago
Barcelona/Universitat Pompeu Fabra

hi, you're getting actually two different messages, one less relevant to your actual question, which says:

Installation paths not writeable, unable to update packages path: C:/Program Files/R/R-4.3.2/library packages: boot

and it means that you do not have permissions to update the so-called base and recommended packages that form part of the installation of the R software in a filesystem path, in your case C:/Program Files/R/R-4.3.2/library, where your username by default has no permissions to write.

The other message, more relevant to your question, says:

Warning: package(s) not installed when version(s) same as or greater than current; use force = TRUE to re-install: 'impute'

It means that the package impute is actually already installed in your system with the most current version of it. If you want to re-install the package impute you should type:

BiocManager::install("impute", force=TRUE)

But, in summary, you should be able to directly load it via library(impute) without doing anything else.

cheers,

robert.

ADD COMMENT
0
Entering edit mode
Laura • 0
@3e6a248b
Last seen 5 weeks ago
Austria

It is working, thank you!

ADD COMMENT

Login before adding your answer.

Traffic: 346 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6